#line 1 "C:/Program Files/Mikroelektronika/mikroC PRO for PIC/Packages/Conversions 2/Uses/Lib_Conversions.c"
void ByteToBinaryStr(unsigned short input, char *output);
void WordToBinaryStr(unsigned input, char *output);
void LongWordToBinaryStr(unsigned long input, char *output);
unsigned short BinaryToGray(unsigned short num);
unsigned short GrayToBinary(unsigned short num);

void ByteToBinaryStr(unsigned short input, char *output)
{
 char i;

 output[8] = 0;
 for(i = 8;i>0;)
 {
 output[--i] = input % 2 + 48;
 input = input / 2;
 }
}

void WordToBinaryStr(unsigned input, char *output)
{
 unsigned int i;

 output[16] = 0;
 for(i = 16;i>0;)
 {
 output[--i] = input % 2 + 48;
 input = input / 2;
 }
}

void LongWordToBinaryStr(unsigned long input, char *output)
{
 unsigned int i;

 output[32] = 0;
 for(i = 32;i>0;)
 {
 output[--i] = input % 2 + 48;
 input = input / 2;
 }
}
#line 54 "C:/Program Files/Mikroelektronika/mikroC PRO for PIC/Packages/Conversions 2/Uses/Lib_Conversions.c"
unsigned short BinaryToGray(unsigned short num)
{
 return (num>>1) ^ num;
}

unsigned short GrayToBinary(unsigned short num)
{
 unsigned short temp;
 temp = num ^ (num>>8);
 temp ^= (temp>>4);
 temp ^= (temp>>2);
 temp ^= (temp>>1);
 return temp;
}
